找回密码
 立即注册
展开
长沙SEO 长沙SEO首页 seo建站 查看内容

DedeCMS错误(PHP 5.3 and above) Please set修改php.ini操作

admin 2018-1-6 16:03 146人围观 seo建站

织梦建站的时候,注册后台后:发现登录不了后台,系统出现“DedeCMS Error: (PHP 5.3 and above) Please set request_order”错误的代码我们改怎么操作呢?下面请听长沙seo和大家解释解释由于在PHP最新的版本中增加 ...
织梦建站的时候,注册后台后:发现登录不了后台,系统出现“DedeCMS Error: (PHP 5.3 and above) Please set request_order”错误的代码我们改怎么操作呢?
下面请听长沙seo和大家解释解释
由于在PHP最新的版本中增加了一个配置项目“request_order”,默认值为“GP”,这个存在一定的安全风险。这里我们建议用户将配置更改为“CGP”

可以在phpinfo中查看对应的php.ini配置目录,找到下面选项
request_order = "GP" 把这个"GP" 改为CGP

很多人说我根本找不到phpinfo中查看对应的php.ini配置目录,改怎么办呢?这一般出现在新主机,老版本的dedecms上,看提示就知道,需要改服务器的php.ini配置文件,但是一般我们用的都是虚拟主机,没有权限修改,所以我们还可以改dedecms文件,把这个报错执行代码注释掉,找到include/common.inc.php文件修改就可以了。

找到文件: include/common.inc.php 
找到34行:if(strtoupper(ini_get('request_order')) == 'GP') 
                    修改成:
                    if(strtoupper(ini_get('request_order')) == 'CGP') 
长沙seo:www.csseo.cc
长沙seo长沙编辑,转载请注明!

二维码
欢迎关注,微信 【www_csseo_cc】